org.springframework.batch.core.listener

## Class CompositeRetryReadListener

- java.lang.Object
- - org.springframework.batch.core.listener.CompositeRetryReadListener

- All Implemented Interfaces:
    javax.batch.api.chunk.listener.RetryReadListener

      public class CompositeRetryReadListener
      extends java.lang.Object
      implements javax.batch.api.chunk.listener.RetryReadListener

  Composite class holding `RetryReadListener`'s.

  Since:
    3.0
  Author:
    Chris Schaefer

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `CompositeRetryReadListener()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `onRetryReadException(java.lang.Exception ex)`
    `void` | `register(javax.batch.api.chunk.listener.RetryReadListener listener)` Register an additional `RetryReadListener`.
    `void` | `setListeners(java.util.List<? extends javax.batch.api.chunk.listener.RetryReadListener> listeners)` Public setter for the `RetryReadListener`'s.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### CompositeRetryReadListener

          public CompositeRetryReadListener()

  - ### Method Detail

    - #### setListeners

          public void setListeners(java.util.List<? extends javax.batch.api.chunk.listener.RetryReadListener> listeners)

      Public setter for the `RetryReadListener`'s.

      Parameters:
        `listeners` - the `RetryReadListener`'s to set

    - #### register

          public void register(javax.batch.api.chunk.listener.RetryReadListener listener)

      Register an additional `RetryReadListener`.

      Parameters:
        `listener` - the `RetryReadListener` to register

    - #### onRetryReadException

          public void onRetryReadException(java.lang.Exception ex)
                                    throws java.lang.Exception

      Specified by:
        `onRetryReadException` in interface `javax.batch.api.chunk.listener.RetryReadListener`
      Throws:
        `java.lang.Exception`